Skip to main content
GET
What happened to a work order's SLA, in the order it happened: targets set, the clock paused and resumed, warnings, and…

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

id
string
work_order_id
string
event_type
string
occurred_at
string
target_at
string
minutes_remaining
string
minutes_overdue
string
sla_source
string
contract_name
string
notes
string
recorded_by
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

contract_name
string<character varying>
Maximum string length: 200
event_type
string<character varying>
Maximum string length: 30
id
string<uuid>

Note: This is a Primary Key.

minutes_overdue
integer<integer>
minutes_remaining
integer<integer>
notes
string<text>
occurred_at
string<timestamp with time zone>
recorded_by
string<character varying>
Maximum string length: 200
sla_source
string<character varying>
Maximum string length: 20
target_at
string<timestamp with time zone>
work_order_id
string<uuid>

Note: This is a Foreign Key to asset_maintenance_plans.next_work_order_id.